@font-face {
    font-family: 'Pretendard-Regular';
    src: url('https://cdn.jsdelivr.net/gh/Project-Noonnu/noonfonts_2107@1.1/Pretendard-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

* {
    padding: 0;
    margin: 0;
    -webkit-touch-callout:none;
}

body {
    -webkit-tap-highlight-color : transparent;
    -ms-user-select: none; 
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}

ul,li {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

pre {
    white-space: pre-line;
} 

.mo {
    display: none;
}

.caption {
    display: none;
}

main {
    display: flex;
    align-items:  center;
    justify-content: center;
    width: 100%;
    height: 100vh;
}
/*flipbook 커스텀 시작*/
#flipBook {
    width: 100%;
    height: 100vh;
    overflow: hidden;
}
.wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}
.pages {
    position: absolute;
    right: 0;
    width: 100%;
    height: 100%;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    transform: translate3d(0,0,0);
    background: #fff;
}
.pages.current {
    z-index: 2;
}
.pages.current + .pages {
    z-index: 1;
}
.pages.flipped {
    right: auto;
    left: 0;
    -webkit-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
}
.card {
    position: absolute;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    background: #fff;
    overflow: hidden;
}
.front {
    z-index: 20;
}
.back {
    z-index: 10;
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}
/*prev,next button custom start*/
.btn {
    opacity: 0;
}
.current .btn {
    position: absolute;
    top: 50.5%;
    left: 4%;
    transform: translateY(-50%);
    width: 37px;
    height: 64px;
    /* background: url(../data/img/prev.svg) center / contain no-repeat; */
    opacity: 1;
    cursor: pointer;
    z-index: 50;
}
.current .btn span {
    display: block;
    width: 40px;
    height: 40px;
    border-top: 7px solid #333; 
    border-right: 7px solid #333; 
    transform: rotate(225deg);
    cursor: pointer;
}
/* .current .btn.prev {
    left: -500px;
} */
.pages:first-child.current .btn.prev {
    left: 4%;
}
.current .btn.next {
    left: auto;
    right: 4%;
    /* background: url(../data/img/next.svg) center / contain no-repeat; */
}
.current .btn.next span {
    transform: rotate(45deg);
}
.pages img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
/*prev,next button custom start*/
/*flip animation effect start*/
.flip_right {
	-webkit-animation: flip_right 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	animation: flip_right 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
.flip_left {
	-webkit-animation: flip_left 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	animation: flip_left 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
@-webkit-keyframes flip_right {
    0% {
        -webkit-transform: rotateY(180deg);
                transform: rotateY(180deg);
        -webkit-transform-origin: left;
                transform-origin: left;
    }
    100% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
        -webkit-transform-origin: left;
                transform-origin: left;
    }
}
@keyframes flip_right {
    0% {
        -webkit-transform: rotateY(180deg);
                transform: rotateY(180deg);
        -webkit-transform-origin: left;
                transform-origin: left;
    }
    100% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
        -webkit-transform-origin: left;
                transform-origin: left;
    }
}
@-webkit-keyframes flip_left {
    0% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
        -webkit-transform-origin: left bottom;
                transform-origin: left bottom;
    }
    100% {
        -webkit-transform: rotateY(-180deg);
                transform: rotateY(-180deg);
        -webkit-transform-origin: left bottom;
                transform-origin: left bottom;
    }
}
@keyframes flip_left {
    0% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
        -webkit-transform-origin: left bottom;
                transform-origin: left bottom;
    }
    100% {
        -webkit-transform: rotateY(-180deg);
                transform: rotateY(-180deg);
        -webkit-transform-origin: left bottom;
                transform-origin: left bottom;
    }
}
/*flip animation effect end*/
/*menu start*/
.menu {
    position: fixed;
    top: 3%;
    right: 3%;
    width: 60px;
    height: 60px;
    padding: 15px 10px;
    border-radius: 12px;
    box-sizing: border-box;
    background: #333333;
    cursor: pointer;
    z-index: 99;
}
.menu span {
    display: block;
    width: 40px;
    height: 6px;
    border-radius: 3px;
    background: #fff;
    cursor: pointer;
}
.menu span:nth-child(2n) {
    margin: 6px 0;
}
/*menu end*/
.bg {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
    z-index: 99;
}
.bg.show {
    opacity: 1;
    visibility: visible;
}
/*nav start*/
nav {
    position: fixed;
    top: 0;
    right: -360px;
    width: 360px;
    height: 100%;
    background: #fff;
    font-family: 'Dovemayo_gothic';
    transition: 0.3s;
    z-index: 100;
}
nav.on {
    right: 0;
}
nav .x_btn {
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}
nav .navWrap {
    height: calc(100% - 76px);
    margin-top: 76px;
    font-size: 20px;
    text-align: center;
    overflow: auto;
    overflow-x: hidden;
}
nav .navWrap::-webkit-scrollbar {
    width: 8px; 
}
nav .navWrap::-webkit-scrollbar-thumb {
    height: 30%;
    background: #fff;
    border-radius: 10px;
}
.ebook_kr nav .navWrap::-webkit-scrollbar-thumb {
    background: #000;
}
nav .navWrap::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0); 
}
nav .navIndex {
    position: relative;
    width: 100%;
    padding: 16px;
    box-sizing: border-box;
    background: #000000;
    font-weight: bold;
    text-indent: 32px;
    color: #fff;
}
nav .bookmarkIndex {
    margin-top: 30px;
    text-indent: 48px;
}
nav .navIndex::before {
    clear: both;
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 120px;
    transform: translateY(-50%);
    width: 18px;
    height: 18px;
    background: url(../data/img/contentIndex.png) center / contain no-repeat;
}
nav .bookmarkIndex::before {
    background: url(../data/img/bookmarkIndex.png) center / contain no-repeat;
}
nav ul {
    margin-top: 10px;
}
nav ul li {
    width: 100%;
    padding: 16px;
    box-sizing: border-box;
    cursor: pointer;
}
nav ul li.on {
    position: relative;
    border-bottom: 0;
    font-weight: bold;
    color: #fff;
}
nav ul li.on::before {
    clear: both;
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 320px;
    height: 100%;
    border-radius: 8px;
    background: #ef7930;
    z-index: -1;
}
.bookLi {
    position: relative;
}
.bookLi span {
    position: absolute;
    top: 50%;
    right: 50px;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    background: pink;
}
/*nav end*/
/*bookmark start*/
.bookmark {
    position: absolute;
    top: 0;
    left: 3%;
    width: 45px;
    height: 49px;
    background: url(../data/img/bookmark.svg) center / contain no-repeat;
    cursor: pointer;
}
.bookmark.on {
    background: url(../data/img/bookmark_on.svg) center / contain no-repeat;
}
.current .bookmark {
    z-index: 3;
}
/*bookmark end*/
/*flipbook 커스텀 시작*/


/*반응형*/
@media screen and (max-width: 960px) {
    .current .btn {
        top: 51%;
        left: 5%;
        width: 24px;
        height: 36px;
    }
    .current .btn.next {
        right: 5%;
    }
    .current .btn span {
        width: 15px;
        height: 15px;
        border-top: 3px solid #333;
        border-right: 3px solid #333;
    }
}

@media screen and (max-width: 768px) {
    .pc {
        display: none;
    }
    .mo {
        display: block;
    }

    .current .btn {
        width: 14px;
        height: 26px;
    }

    .menu {
        width: 48px;
        height: 48px;
        padding: 16px 12px;
    }
    .menu span {
        width: 24px;
        height: 2.93px;
    }
    .menu span:nth-child(2n) {
        margin: 4px 0;
    }
}